Delete Tool
curl --request DELETE \
--url https://api.example.com/api/tools/{tool_id} \
--header 'X-API-Key: <x-api-key>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.example.com/api/tools/{tool_id}"
headers = {
"X-API-Key": "<x-api-key>",
"X-Organization-Id": "<x-organization-id>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-API-Key': '<x-api-key>', 'X-Organization-Id': '<x-organization-id>'}
};
fetch('https://api.example.com/api/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Tool deleted successfully"
}
Tools
Delete Tool
DELETE
/
api
/
tools
/
{tool_id}
Delete Tool
Delete a custom tool.
Cannot delete tools that are attached to agents. Detach them first.
Headers
string
required
Your API key for authentication.
string
required
The organization ID.
Path Parameters
string
required
The unique identifier of the tool to delete.
Permissions
tools:delete(admin, agent_manager)
Response
boolean
Indicates if the deletion was successful.
string
Human-readable success message.
{
"success": true,
"message": "Tool deleted successfully"
}
Errors
object
Tool not found.
object
Tool belongs to different organization.
object
Cannot delete tool - it is attached to agents. Detach it first.
⌘I